package cn.reghao.oss.console.app.db.repository;

import cn.reghao.oss.console.app.model.po.StoreNode;
import org.springframework.data.jpa.repository.JpaRepository;

import java.util.List;

/**
 * @author reghao
 * @date 2024-02-23 11:31:05
 */
public interface StoreNodeRepository extends JpaRepository<StoreNode, Integer> {
    StoreNode findByNodeAddr(String nodeAddr);
    StoreNode findByDomain(String domain);
    List<StoreNode> findByDomainIn(List<String> domains);
}
